### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-site-header/ecl-site-header-core/action/ecl-site-header-core-action.component.ts`

### Extends

`EclSiteHeaderActionComponent`

### Metadata

selector | `ecl-site-header-core-action`
templateUrl | `./ecl-site-header-core-action.component.html`

### Index

###### Properties

- class

###### Methods

- getCssClasses

###### Inputs

- class
- e2eAttr

###### HostBindings

- class

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

class
Type : `string`
Default value : `'ecl-site-header-core__action'`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

class
Type : `string`
Default value : `'ecl-site-header-core__action'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""